# Interface methods for submodule: PolygonSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PointBasedSpatialObjectProxy as _PointBasedSpatialObjectProxy


# Interface methods for class: PolygonSpatialObject
class PolygonSpatialObjectProxy(_PointBasedSpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def GetOrientationInObjectSpace(self) -> int:
		""""""
		...

	def SetThicknessInObjectSpace(self, _arg: float) -> None:
		""""""
		...

	def GetThicknessInObjectSpace(self) -> float:
		""""""
		...

	def SetIsClosed(self, _arg: bool) -> None:
		""""""
		...

	def GetIsClosed(self) -> bool:
		""""""
		...

	def IsClosedOn(self) -> None:
		""""""
		...

	def IsClosedOff(self) -> None:
		""""""
		...

	def MeasureAreaInObjectSpace(self) -> float:
		""""""
		...

	def MeasureVolumeInObjectSpace(self) -> float:
		""""""
		...

	def MeasurePerimeterInObjectSpace(self) -> float:
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

